Bug 132933 - Should obsolete imap
Should obsolete imap
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2004-09-19 22:42 EDT by Jim Radford
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-19 23:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2004-09-19 22:42:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914

Description of problem:
dovecot should obsolete imap (the old UW imap server) so that
automated scripts will know what to upgrade to now that imap (UW) is
no longer shipped with Fedora.

Version-Release number of selected component (if applicable):
Comment 1 Warren Togami 2004-09-19 23:10:06 EDT
Sorry, I know your intentions are good, but we cannot do this either.
 This implies that dovecot is the only POP3/IMAP4 server you should
use on Fedora, which is simply not true.

As much as I personally would like to kill of "imap", it is just
technically wrong to do this.
Comment 2 Warren Togami 2004-09-19 23:14:40 EDT
Bug #120678 is an earlier example of attempts to do something similar
to what you suggest.  There simply is no good way of doing it, so the
best thing to do is nothing.
Comment 3 Jim Radford 2004-09-20 13:45:45 EDT
I disagree.  You are thinking of imap as a feature, not as the
specific package "imap".  I want to obsolete the the old package, not
every or any other imap server.  There should be no problems.  From
everything I've read, as far as Red Hat is conerned, the UW imap
server is obsolete unsupported.  dovecot *does* obsolete it (and so
does the cyrus imapd for that matter).  Maybe there should be a
feature called "imap-server" that both dovecot and cyrus could
provide.  Either way, that is independent of dovecot obsoleting imap
the package.
Comment 4 John Dennis 2004-09-20 16:46:05 EDT
Hi Jim:

My understanding of the issue is that when you obsolete a package you
are instructing the installer to replace it with its replacement. The
key here is the replacement is singular. I don't think the installer,
or for that matter rpm, knows how to deal with multiple choices, e.g.
does doveot or cyrus-imapd replace UW imap?

The installer's behavior with respect to the obsoletes tag is what
prompted bug #127448, bug #129274, and bug #123989. So I would say
there is a problem. If you have a solution that addresses the issues
in those bug reports I'm all ears.
Comment 5 Jim Radford 2004-09-20 21:17:09 EDT
Hi John:

An upgrade to cyrus from UW is not to be taken lightly since it has a
custom mailbox format, whereas dovecot is a drop in replacement for
the UW server.  As far as I'm converned dovecot is *the* replacement.
 It was a bug to make cyrus obsolete imap.  It wouldn't be the case
for dovecot.  I couldn't see #129274, so it may mention some other issue.

Incidentally, it was my automated update program that led me to this
problem in the first place, so I understand your concerns.  If you
included another reasonable replcement for UW, like say binc, then I
could believe that your installer might have a problem, however  I
don't think rpm itself would since it doesn't make decisions about
what to install.  Maybe you meant up2date?  Either way I don't see a
conflict for the case at hand.
Comment 6 John Dennis 2004-09-21 11:58:06 EDT
Hi Jim:

I hope you realize no one is suggesting you upgrade from UW imap to
cyrus, for some users that is the optimal choice, but not for all
users.   I think the issue turns on your belief that dovecot is the
only sensible replacement. If that were true marking the rpm's as
suggested would follow as a logical consequence. It was indeed a bug
to have the obsolete tag in the cyrus spec file, it was accidently
pulled in with an upstream merge. There is a belief here internally
that admins should be explictly aware of any changes in the set of
daemon services which are being run. Even if the installer replaced uw
imap with dovecot the dovecot service would not be enabled, an admin
would have to enable the service and sanity check some configuration
options, it wouldn't be automatic. So if there has to be some "admin
attention" why not have the admin make a conscious choice of imap
servers at that juncture? There are a lot of ISP's who run our
installations, especially RHEL, for that class of customer an
"industrial strength" implementation is a more sensible choice and
dovecot, while a very good implementation, has not risen to that level
yet. So we're trying to encourage people to examine their needs and
make a pro-active choice during a major installation upgrade. Whether
this is right or wrong I grant you is open to debate and I hope we
will consider everyone's input, including yours, and keep an open mind
making the best choice possible.
Comment 7 Jim Radford 2004-09-21 14:50:47 EDT
I realize that you're not suggesting cyrus.  Also, it's not that I
think dovecot is the only sensible replacement.  I also understand the
need to explcitly enable dovecot.  That was a reservation for me in
suggesting this fix in the first place.

FWIW, I assume that dovecot was added instead of keeping the UW server
because it's better, so I take your action as an explicit
recommendation that I should *at least* upgrade to dovecot.  In other
words, even if there is something better out there, there should be no
major harm in using dovecot instead of what I was using the,
admittedly crap, UW server.  I just want to make this explicit so
other admins might not have to spend the hours I spent in just
figuring out that you had in fact added a non-cyrus imap server.

Currently in FC2 I can't even install php-imap without removing my
totally unrelated UW imap server.  With this fix at least when I
upgraded from RH9 I'd get php-imap and dovecot.

Actually, php-imap (via staticly compiling libc-client) was just fixed
to not obsolete imap anymore, so presumably as it stands now without
dovecot obsoleting imap I would be able to go along using UW and never
notice that you had replace it.  This is better.

Still, as a concervative admin, I'd like to know that your support had
moved from imap to dovecot.

Note You need to log in before you can comment on or make changes to this bug.